/*
 * ===============================================================================
 *
 * JoyDriving Technology Corp. Ltd. License, Version 1.0
 *
 * Copyright (c) 2015-2016 JoyDriving Tech. Co.,Ltd.
 *
 * Published by JoyDriving Mobile-Dev Dept, All rights reserved.
 *
 *
 * For the convenience of communicating and reusing of codes,
 * Any java names,variables as well as comments should be made
 * according to the regulations strictly.
 *
 * ===============================================================================
 */
package com.joydriving.assistant.business;
import com.joydriving.assistant.business.IBusinessEventCallback;
import com.joydriving.assistant.business.params.UIEvent;
/**
 * 
 * comment here ....
 *
 * @author Daniel.H*
 * @version 1.0
 */
interface IBusinessService {
   
    ///////////////////////////////////////////////////////////
    //
    // !Attention: The new function interface must add to end.
    //  
    ///////////////////////////////////////////////////////////
 
    void handleUIEvent(in UIEvent uiMessage);
    
     /**
	* 注册连接管理的回调
	* @param callback 回调
	*/
    void addBusinessEventCallback(in IBusinessEventCallback callback);
    
    /**
	* 解除连接管理的回调
	* @param callback 回调
	*/
    void removeBusinessEventCallback(in IBusinessEventCallback callback);
}
